#!/usr/bin/env python3

import os
import sys
from pathlib import Path
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns
import argparse

def parse_args():
    parser = argparse.ArgumentParser(description='Plot the results of a single experiment')
    parser.add_argument('--dir', type=str, default="./", help='Directory where the data is stored')
    parser.add_argument('--name', type=str, required=True, help='Name of the experiment')
    return parser.parse_args()
