
        if len(data) > 255:
            raise ValueError("LZW compressed data must be less than or equal to 256 bytes")

        # If we have a block that is not full, pad it with zeros and add it to our list of blocks
        if len(blocks[-1]) < 255 - len(data):
            blocks[-1] = blocks[-1][:-1] + bytes([len(data)]) + data[1:]
        blocks.append(data)

    image_data = bytes([lzw_minimum_code_size]) + b''.join(blocks)

    # 7. Trailer
    trailer = b'\x3B'

    # Write everything to the output file
    out.write(header + lsd + color_table + gce + image_descriptor + image_data + trailer)