#!/usr/bin/env python3

import struct
from typing import BinaryIO

def generate_random_gif(input: BinaryIO, output: BinaryIO):
    while True:
        byte = input.read(1)
        if not byte: break
        output.write(byte)

if __name__ == "__main__":
    with open("test.gif", "rb") as f:
        with open("out.gif", "wb") as o:
            generate_random_gif(f, o)