#!/usr/bin/env python3

import struct
from typing import BinaryIO, Optional, Tuple

from . import utils


def _read_int(f: BinaryIO) -> int:
    return struct.unpack(">I", f.read(4))[0]


def _write_int(i: int, f: BinaryIO):
    f.write(struct.pack(">I", i))

