#!/usr/bin/env python3

import struct
from pathlib import Path
from binascii import hexlify, unhexlify

if __name__ == '__main__':
    header = b'\x0A\x41'  # ATLM
    # with open("eeprom_data.txt", "r") as inp:
    with open("/home/dima/workspace/atlm/build/eeprom.hex", "r") as inp:
        # data = bytes([int('0x'+inp.readline(), base=16)])
        data = []
        for line in inp:
            data.append(int('0x'+line[2:-5], base=16))
        print(len(unhexlify(str(data))))
        out.write(header + data)
