#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open("test_data", "wb") as out:
  for i in range(10):
    num = i * i % 256
    header = struct.pack("BBB", num, num ^ 7, num ^ 13)
    datalen = (num & 3) << 8 | ((num >> 1) + 1) if bool(i & 1) else 129 + (i >> 2)
    data = rng.read(datalen)
    out.write(header + data)
