#!/usr/bin/env python3
import argparse, os, sys

parser = argparse.ArgumentParser()
parser.add_argument('-f', '--file', nargs=1, default=[sys.stdin])
args = parser.parse_args()
inputs = []
for i in args.file:
    if i != '-':
        inputs.append(open(i))
    else:
        inputs.append(sys.stdin)

rng = None
if len(inputs) > 1:
    rng = input[0]
else:
    rng = inputs[0]
out = open('/dev/stdout', 'wb')
while True:
    header = rng.read(4)
    if not header or header == b'':
        break
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
