#!/usr/bin/env python3

import sys, os, random, secrets

out = open(sys.argv[1], 'wb')
rng = open('/dev/urandom', 'rb')
for i in range(int(sys.argv[2])):
    header = bytes([0x86])  # magic number
    header += b'#' + str(i).encode('ascii')
    header += len(str(i)).to_bytes(
        1, byteorder='big')  # length of label (max width is 9)
    header += secrets.randbits(5).to_bytes(
        1, byteorder='big')  # secret bit field
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
