#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import json


def main():
    with open("data.json", "r") as f:
        data = json.load(f)

    streets_count_per_city = {}
    for street in data["streets"]:

        city, street_name = (
            street["name"],
            street["name"].split("skerhusvei")[0].strip(),  # Remove after kommune name is fixed
        )
        if city not in streets_count_per_city:
            streets_count_per_city[city] = {}
        if street_name not in streets_count_per_city[city]:
            streets_count_per_city[city][street_name] = 1
        else:
            streets_count_per_city[city][street_name] += 1

    for key in sorted(streets_count_per_city):
        print("\n" + key)
        for item in sorted(streets_count_per_city[key], key=streets_count_per_city[key].get):
            print("{} : {}".format(item, streets_count_per_city[key][item]))


if