#!/usr/bin/env python3
import sys
with open('/dev/random', 'rb') as rng:
    with open(sys.argv[1],'wb') as out:
        signature = bytes([0, 0x84, 0x69])
        version = b'\x02\x00\x00' # version of custom format
        out.write(signature+version)

        headerlen = 5   # number of bytes in the header
        namelen = len('com.apple.system.entropy-custom-blob')
        header = \
                (b'\x00'*namelen).ljust(headerlen,'\x00') + \
                bytes([datalen%0xFF])
        datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
