#!/usr/bin/env python3

import struct
from collections import namedtuple, defaultdict
from enum import Enum

# Memory layout and offsets
SYSTEM_INFO = 0x218
EVENT_LOGGERS = 0x27C
TIMEOUT_TIMER = 0x2B4
PENDING_UNIT_COMMANDS = 0x2D4
ITEMS_IN_GAME = 0x5A4
ITEM_INDEXES = 0x5E8
DAMAGE_TABLE = 0x60C
EXPERIENCE_TABLE = 0x9D0
LEVELUP_ANIMATIONS = 0x1F00
SKILLS = 0x2074
SKILL_NAME_OFFSETS = 0x23DC
SKILL_DESCRIPTION_OFFSETS = 0x23FC
NPC_SKILLS = 0x2680
NPC_SKILLS_NUM = 0x26AC
SKILL_PROGRESS = 0x40CC
SHOPKEEPER_ITEMS = 0x12CC0
DYNAMIC_BITFIELD = 0x137EC
DYNAMIC_BITFIELD_SIZE = 0x24
