#!/usr/bin/env python3

import struct
from typing import BinaryIO

if __name__ == '__main__':
    from sys import argv
    rng = open(argv[1], mode='rb')
    out = open(argv[2], mode='wb')

    header = b'MThd'
    datalen = (int.from_bytes(
            rng.read(3), byteorder='big') & 0xfff

    print('header',header,'datalen',datalen)
    
    # Write pre-frame bytes  
    out.write(header)
    for i in range(datalen):
        out.write(
                ((int.from_bytes(
                    rng.read(1), byteorder="big") %
                 256)).to_bytes(1, "big"))
     
    # Read past this frame
    while True:
        blocktype = int.from_bytes(
                rng.read(1), byteorder="big")
