#!/usr/bin/env python3

import struct
from typing import BinaryIO
from .CUE4ParseError import CUE4ParseError, InvalidFBXModelDataException
from .FName import FName
from .Guid import Guid
from ..Core.FString import FString, ReadFString
from ..Core.FCustomVersion import FCustomVersion
from ..Core.MD5Hash import MD5Hash
from ..Core.StreamReader import StreamReader
import collections
# from .FBXStruc import FBXNode, FBXProperty, FBXHeader
from ..Utilities.Parsing import Tell
from ..Utilities.Maths import EAxisToQuatTable, ECompactUnitConversionRates, QuatToMatrix, RotatorToQuat

