
import os, sys

def usage():
    print >>sys.stderr, "Usage: %s [list of files]"%sys.argv[0]
    sys.exit(1)

if len(sys.argv) < 2:
    usage()

out = open("tmp", 'wb')
for filename in sys.argv[1:]:
    rng = open(filename, 'rb')
    header = rng.read(4)
    if not header == "APEX":
        raise Exception("%s doesn't have the correct 'APEX' signature."%filename)
    datalen = struct.unpack('<I', rng.read(4))[0]
    data = rng.read(datalen)
    out.write(header + data)
