#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    width  =  10
    height =  24
    color  =  [0xff, 0xcc, 0xff]
    out.write(header + struct.pack('BB', width, height))
    for i in range(height):
        row = [color[i % len(color)]] * width
