#!/usr/bin/env python3

import struct
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(f:BinaryIO, width=100):
    # magic; "GIF" + Version
    f.write(b'\x47\x49\x46\x38')

    # logical screen descriptor
    f.write(struct.pack("<HHHH", 1,1,width*2,1))

    # global color table (black and white)
    f.write(bytes([0,0xFF,0xFF]))

    # graphics control extension
    f.write(b'\x21\xF9\x04\x01\x00\x00\x00\x00\x2C')

    # image descriptor
    f.write(struct.pack('<BHHHBB',0x2c,width*2,height,0,0,0))
    f.write(b'X'*width)

