#!/usr/bin/env python3
from PIL import Image

import sys


# Generates a random GIF file to `/dev/stdout`, or another filename specified as argv[1] if it exists
def main():
    with open('/dev/urandom') as r:
        im = Image.new('P', (765, 1))
        for x in range(-3, 7):
            p = next(r).to_bytes(1, byteorder='big')[0] & 7
            im.putpixel((x+382, 0), p)

        im.save(sys.argv[1], transparency=None)


if __name__ == '__main__':
    main()