#!/usr/bin/env python3

import struct
from collections import defaultdict, Counter

def parse_data(text, acc):
    for line in text.splitlines():
        x1, y1, x2, y2 = map(int, line.strip().replace('->', ',').split(','))
        if x1 == x2:
            acc[y1].add(x1)
            acc[y2].add(x1)
        elif y1 == y2:
            for i in range(min(x1, x2), max(x1, x2)+1):
                acc[y1].add(i)
        else:
            #print("skipping", x1, y1, "to", x2, y2)
            pass
            
    


