#!/usr/bin/env python3

import struct
from typing import BinaryIO, Tuple

# https://stackoverflow.com/a/2689501/764322
def parse_hex(s: str) -> bytes:
    return bytes.fromhex(''.join([c for c in s if c != ' ']))

def read_file(filename: str) -> BinaryIO:
    with open(filename, 'rb') as f:
        return f
