#!/usr/bin/env python3

import struct
from typing import BinaryIO

def main():
  with open('test_file.dat', 'wb') as out:
    rng = bytearray([x for x in range(128)])

    header = struct.pack(">H", len(rng))
    datalen = len(rng) - 2
    data = rng.read(datalen)
    out.write(header + data)
