#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# https://www.w3.org/Graphics/GIF/spec-gif89a.txt spec.
def generate_gif(source, length):
    # File header
    source.write("GIF89a")

    # Screen descriptor
    w = 640
    h = 480
    packed = (w >> 7) | ((h >> 7) << 4)
    source.write(struct.pack("<B", packed))
    source.write("\x00" * 15)

    data_size = 2 ** (length - 1)
    while len(data) < data_size:
