#!/usr/bin/env python3
"""Inventory manager.

Part of the Minecraft Pack Manager utility (mpm)
"""
import os
import json
from collections import OrderedDict
# pylint: disable=unused-import, redefined-builtin
from pathlib import Path

try:
    version = __import__('mpm').version
except ImportError as exc:
    raise RuntimeError("Could not import mpm module") from exc

__version__ = '0.1'  # version of this script
