"""
Generate a random GIF from /dev/urandom.
"""

import os
from PIL import Image, ImageSequence

def gen_gif(name):
    tmp = [Image.new('RGB', (100, 100), color=tuple([x % 256 for x in os.urandom(3)]))
           for i in range(10)]

    # Save them all to an animated gif.
    tmp[0].save(name + '.gif', save_all=True, append_images=tmp[1:])

if __name__ == '__main__':
    gen_gif('/tmp/output')
