#!/usr/bin/env python3

import struct
from typing import BinaryIO, Iterable


def read(f: BinaryIO) -> Iterable[int]:
    while True:
        b = f.read(1024)

        if len(b) == 0:
            break

        for i in range(len(b)):

            yield (struct.unpack_from("<H", b, i))[0]


if