
import os
import time
import shutil
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(rng.read(3), 'big') + 1
    data = rng.read(datalen)

    buf = bytearray()
    buf += header
    buf += datalen