#!/usr/bin/env python3
import sys, os
from random import SystemRandom


out = open(sys.argv[1], 'wb')
rng = SystemRandom()

header = b'\x89\xF5\xD7' # F5 89 D7 little-endian
for _ in range(int(os.environ['COUNT'])):
    datalen = int.from_bytes(
        rng.read(2),
        'little',
        signed=True
    ) % 1024 + 1
    data = rng.read(datalen)
    out.write(header + data)
