
import os
import time
import shutil
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'  # magic

    # first frame - black 1x1 pxl with no delay inbetween
    out.write(header + bytes([0b00000010, 20])) 
    out.write(bytes([0b11000000] * (56*3)))

    # second frame - white 1pxl wide checkerboard pattern with 10ms delay between frames
    for i in range(7): 
        out.write(header + bytes([0b00000010, 20])) 
        out.write(
            bytes([(i // 4 % 2 == j // 4 % 2 and 0b11 or 0b00) << 6 | 0b10] * 56))
        time.sleep(.01)
    return 

if