
import os
import time
import shutil
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    width  = bytes((30,)) # image width in pixels (2 bytes)
    height = bytes((45,)) # image height in pixels (2 bytes)

    data_block = b'\x00\x00,\x00'
    for i in range(63):
        data_block += bytes([i & 255])
    
    data = data_block * ((height[1] << 8) | height[0])

    out.write(header + data)
