#!/usr/bin/env python3
'''
Created on 5 Feb 2017

@author: julianporter
'''
import struct
from typing import BinaryIO
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(rng.read(2), 'little')
    
    # Get the data (datalen bytes from /dev/urandom)
    data = bytearray((datalen))
    rng.readinto(data)
    # Add GIF trailer
    # "This is to keep files < 33 bytes from being created;
    # they have no use and just waste space"
    # (https://github.com/thelinuxlich/gif-pixels/issues/1)
    giftrailer = b'\x3b\x01\x00\x01\x00\x01\x00\x00\x00\x3b'
    out.write(header+struct.pack('<H', datalen)+data + giftrailer)
        
    return 
def main():
    with open('/dev/urandom','rb') as r