#!/usr/bin/env python3

import sys
import random

def read_unsigned():
    return int.from_bytes(rng.read(2), byteorder='little', signed=False)

width, height = read_unsigned(), read_unsigned()
print('Size: ' + str((width, height)))
out = open('/tmp/gif-fixed-size.gif', 'wb')

while True:
    header = b'GIF89a'

    # 4 bytes of magic
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
