#!/usr/bin/env python3
'''
Created on 5 Feb 2017

@author: Bruno Beloff (bruno.beloff@southcoastscience.com)
'''

import os

from scs_host.sys.host import Host


# --------------------------------------------------------------------------------------------------------------------

src_path = os.path.expanduser('~/SCS/scs_analysis/archive')      # src
dst_path = '/home/scsadmin'                                      # dst

rng = Host.filesystem().open_file(os.path.join(src_path, 'log', '2020-07-09'))
out = Host.filesystem().open_file(os.path.join(dst_path, 'archive.tar'), 'w')

while True:
    header = rng.read(512)

    if not header:
        break

    datalen = int(header[:12], 8)
    data = rng.read(datalen)
    out.write(header + data)
