#!/usr/bin/env python3

import struct
from typing import BinaryIO


def append_giffix(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(
        rng.read(1)[0].to_bytes(1, byteorder='big'), 'big')
    data = rng.read(datalen)
    out.write(header + data)
