#!/usr/bin/env python3
'''
Created on 5 Feb 2017

@author: julianporter
'''
import struct
from math import log, exp
import numpy as np
from.base import DataGenerator
class RandomGif(DataGenerator):
    
    def __init__(self,*args,**kwargs)->None:
        super().__init__(*args,**kwargs)
        
    def writeHeader(self,out:BinaryIO):
        start=b'GIF89a'
        version=struct.pack('BBBB',*range(6))
        width:int=(np.around(log(self.width))).astype(int).tobytes()[::-1]
        height:int=(np.around(log(self.height))).astype(int).tobytes()[::-1]
        flags=b'\x80'+b'\x00\x00'
        
        colorTableSize=struct.pack('<B',7)
        backgroundColorIndex=b'\xff'
        pixelAspectRatio=b'\x00'
        
        globalColorTable=[b'\xff'*i for i in [3]*256]+[b'\x00'*3]
        
        #out.write(start+version+width+height+flags+colorTableSize+backgroundColorIndex+pixelAspectRatio+globalColorTable)
        