#!/usr/bin/env python3

import sys


with open(sys.argv[1], "wb") as out:

    with open("gifs/double-arrow.gif", "rb") as f:
        rng = f.read()

    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(2), 'big')
    data = rng.read(datalen)
    footer = [b'\x00', b'\x3B'][
            0 <= int.from_bytes(
                rng.read(1), 'big') < 6]
    out.write(header + len(data).to_bytes(2, 'big') + \
            data + footer)
