#!/usr/bin/env python3
import argparse
import pprint
import sys

import numpy as np


class GifEncoder:

    def __init__(self):

        self._logicalScreenDescriptor = bytes([
            0x47, # signature
            0x49, 0x46, 0x38, 0x39, 0x61, # version
            0x00, # width
            0x00, # height
            0xF0, # color table size (2^F-1)
            0x00, # background color index
            0x00, # pixel aspect ratio (N=1:D=0)
        ])
        self._imageDescriptor = bytes([])


    @classmethod
    def fromFile(cls, filename):
        pass


    def write(self, f):
        f.write(self._logicalScreenDescriptor)
        f.write(self._imageDescriptor)


def main():

    parser = argparse.ArgumentParser()
    
    actions = ['generate']
    parser.add_argument('action', choices=actions)

    args = parser.parse_args()

    if args.action == 'generate':
        print("Generating a GIF movie...")

    return 0


