#!/usr/bin/env python3

import os
import random

with open('randgif', 'wb') as out:
    rng = random.SystemRandom()
    header = b'GIF89a'

    # 4 bytes of magic
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
