#!/usr/bin/env python3

import struct, sys, os
from binascii import hexlify as hx, unhexlify as uhx

sys.path.append("..")

from crypto_utils import AES, CTR, HMAC_SHA256

assert len(sys.argv) == 4 or len(sys.argv) == 5, "Need exactly three arguments"

fname = sys.argv[1]
key = bytes.fromhex(sys.argv[2])
ciphertext = bytes.fromhex(sys.argv[3])