#!/usr/bin/env python3

import struct
from typing import BinaryIO

class Transform:
    @staticmethod
    def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(
        rng.read(4), byteorder='big') & 0xFFFFFF
    data = rng.read(datalen)
    out.write(header + data)
