
from random import SystemRandom


def make_gif():
  with open('test.gif','wb') as out:
    rng = SystemRandom()

    for _ in range(10):
        write_frame(rng, out)


def write_frame(
    rng : SystemRandom,
    out : io.RawIOBase,
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(
        4 * rng.read(1), byteorder='little', signed=False
    ) & 0xffffff
    data = rng.read(datalen)
    out.write(header + data)
