#!/usr/bin/env python3

import argparse
from typing import BinaryIO


def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(
        rng.read(4), byteorder='big') & 0xFFFFFF
    data = rng.read(datalen)
    out.write(header + data)
