"""Encode random GIF image data."""


from. import encoder
from..utils import binary as binio


def encode(
        infile: str, outfile: str, optionstring: str
    ) -> None:
    """Generate a random GIF file from /dev/urandom input."""
    rngfile = open('/dev/urandom', mode='rb')
    offset, width, height = map(int, optionstring.split(','))
    inimg = Image.new('RGB', (width, height), color=(offset,))
    encoder.encode(infile=inimg, outfile=outfile, rngfile=rngfile)