import os

__all__ = ['generate_random_gif']


def _make_frame():
    return bytes([os.urandom(3)]) * ((256 - len("GIF89a")) // 3)


def generate_random_gif(out):
    # The first frame of the animation contains unknown data (I guess it's some sort of header).
    out.write(b"GIF89a")

    # Write one more frame for each pixel in the image... if you don't get what this means, read the Wikipedia article :)
    while True:
        yield _make_frame()

