import sys
import os
import string
import struct
from io import BytesIO
from typing import BinaryIO

DEFAULT_OUTPUT = 'random.gif'



class GifEncoder():

    # Global Header
    signature = b"GIF89a"

    # Logical Screen Descriptor
    color_table_size = bytearray()

    # Image Descriptor
    left_position = None                # x offset from top of screen
    top_position = None                 # y offset from top of screen
    width = None                        # pixels per row
    height = None                       # rows per frame
    local_color_table_flag = bytearray() # true or false
    interlace_flag = bytearray()
    sort_flag = bytearray()             # true or false
    local_color_table_size = bytearray()
    background_color_index = bytearray()
    pixel_aspect_ratio = bytearray()




class RandomGifGenerator():

    def __init__(self, output: str=''):

        if not output:
            self.output = DEFAULT_OUTPUT
        else:
            self.output = f'{output}.gif'


    def generate_random_gif(self):
        
        bgc = random.randint(0, 255)
        pgc = random.randint(0, 255)
        fgc = random.randint(0, 255)
        gfc = random.randint(0, 255)

        imgdata = [bgc, pgc, fgc, gfc]

        line_length = int((sys.maxsize / len(imgdata)) **.5)
        nlines = math.ceil((len(imgdata) * line_length) / 256)

        im_width = line_length
        im_height = nlines



        with open('random.gif', 'wb') as fh:
            generate_random_gif(fh, im_width, im_height, nlines, imgdata)


