#!/usr/bin/env python3

import sys
import os
os.chdir(sys.path[0])

from mule_local.JobMule import *
from mule.exec_program import *
jg = JobGeneration()


# Turbulence model
jg.compile.mode ='release'

jg.compile.plane_spectral_space = 'disable'
jg.compile.sphere_spectral_space = 'enable'
jg.compile.sphere_spectral_dealiasing = 'enable'

jg.compile.threading = 'omp'

jg.runtime.space_res_spectral = 128
jg.runtime.reuse_plans = 1
jg.runtime.verbosity = 5

jg.unique_id_filter = ['runtime.timestepping_method']



#benchmarks_dir = '/home/milan/Work/qch/software/Benchmarks/SWMF/'
benchmarks_dir = '.'
benchmark = ''
jg.runtime.benchmark_name=''

#benchmark='swmf_standing'
#jg.runtime.benchmark_name = benchmark
#for T in [6*3600]:
#	jg.runtime.max_simulation_time = T
#	job.gen_jobscript_directory('T_'+str(int(T))+'/')


### Benchmark 1: SWMF standing wave with 7m height and 1s period, simulated on plane grid (32x24) (2D)
if