#!/usr/bin/env python3

import argparse
import random
import sys


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument('--seed', required=False)
    args = parser.parse_args()


    if not args.seed or args.seed == '-':
       seed = int.from_bytes(
               sys.stdin.buffer.read(4), byteorder='little')
    else: 
       seed = int(args.seed) 

    

    with open('/dev/urandom','rb') as rng:
      rng.seek(seed)

      header = b'GIF89a'
      datalen = int.from_bytes(
              rng.read(3),byteorder='big') & 0xfff

      print('DATALEN',datalen)
    
      sys.stdout.buffer.write(header + 
              (datalen).to_bytes(3,"big")) 


      for _ in range(datalen):
         v = random.randint(0,255)           
         sys.stdout.buffer.write((v).
                                 to_bytes(1,"big"))
         if (_+1)%50 == 0:
           sys.stderr.write('.')    
           sys.stderr.flush()



if __name__=="__main__":
   main()  