#!/usr/bin/env python3
import sys, os.path as path, argparse, logging


def process_arguments():
    parser = argparse.ArgumentParser(
        description='Generate a blast database from a fasta file.')

    # positional arguments
    parser.add_argument('database',
                        help='Name of the outputted database')
    parser.add_argument('fastafile',
                        help='Fasta file to turn into a blast db')

    # optional arguments
    parser.add_argument('-v','--verbosity', action='count', default=0)
    parser.add_argument('--version',action='store_true')
    args = parser.parse_args()

    if len(sys.argv)==1:
        parser.print_help(sys.stderr)
        exit(1)

    return vars(args)



if