#!/usr/bin/env python3
import requests, json, sys


def get_all(url):
    r = requests.get(url)

    if not r.ok:
        raise Exception('GET /tasks/ {}'.format(r))
    
    return r.json()

def delete(url):
    r = requests.delete(url)

    if not r.ok:
        raise Exception('DELETE {} {}'.format(url, r))
    
def print_tree(task, level=0):
    if task is None or len(task) == 0:
        return

    for t in sorted(task['children'], key=lambda k : int(k)):
        for i in range(level -1 ):
            print('\t', end='')

        if 'complete' in task[t]:
            print('[{}]'.format(task[t]['id']),end='')
        
        else:
            print('{}/'.format(task[t]['id']),end='')
            
        print_tree(task[t], level + 1)
            



if