#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('./data/01-input.txt', 'rb') as f, \
     open('./data/01-output.txt', 'wb') as out:
    rng = iter(f.read())
    header = bytes([next(rng)])
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
