#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    # 10 bytes of header
    out.write(b'GIF89a')

    # 7 bytes of screen descriptor
    out.write(struct.pack('<HBB', 256, 256, 0))

    # 1 byte of background color index
    out.write(b'\xff')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
    out.write(b'\x00')

    # 1 byte of sort flag
    out.write(b'\x00')

    # 1 byte of size of global color table
    out.write(b'\x00')

    # 3 bytes of background color index
    out.write(b'\x00\x00\x00')

    # 1 byte of pixel aspect ratio
    out.write(b'\x00')

    # 1 byte of global color table flag
    out.write(b'\x00')

    # 1 byte of color resolution
   