#!/usr/bin/env python3

import os
import sys
import struct
from collections import namedtuple

# https://github.com/matthew-brett/pydub/blob/master/pydub/utils.py
def make_chunks(f, chunk_size=1024):
    while True:
        chunk = f.read(chunk_size)
        if chunk:
            yield chunk
        else:
            return
