#!/usr/bin/env python3

import struct
from typing import BinaryIO

rng: BinaryIO = open('/dev/urandom', 'rb')
out: BinaryIO = open('data.bin', 'wb')

while True:
    header = b'\x89\x50\x4e\x47\x0d\x0a\x1a\x0a'

    # Read the length of the following data, which is a random number between
    0 and 2^24 - 1 (16 million). This will give us a total size of up to ~4MiB.
    # 0x100 is arbitrary but should be enough to cover most cases
    for _ in range(0x100):
        datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
