#!/usr/bin/env python3
import sys, os

infile = sys.argv[1]
outfile = sys.argv[2]

with open(infile, 'rb') as rng:
  with open(outfile, 'wb') as out:
    header = rng.read(4)
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
