#!/usr/bin/env python3

import os
import sys
import struct
from typing import BinaryIO

def main() -> None:
    if len(sys.argv) != 2:
        print("Usage: {} <file>".format(os.path.basename(__file__)))
        return

    with open(sys.argv[1], "rb") as f, \
         open(sys.argv[1] + ".out", "wb") as out:
        buf = bytearray(f.read())
        out.write(buf)

