#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Jun 19 02:47:56 2018

@author: joshu
"""
import numpy as np


def get_random(size, seed):
    """
    Returns a random array of size'size' and with the given seed.
    
    Parameters
    ----------
    size : int
        The number of elements in the returned array.
        
    seed : int
        The seed for the random number generator.

    Returns
    -------
    out : ndarray
        A random array of size'size'.

    """
    return np.random.RandomState(seed).rand(size)