#!/usr/bin/env python3

import struct
from random import Random


rng = Random()
rng.seed('a')  # seed with something non-zero, so we don't get all zeros

out = open("test_data", "wb")
for i in range(10):
    datalen = rng.randint(256, 4096)

    header = struct.pack("<H", datalen)
    data = rng.read(datalen)
    out.write(header + data)
