
import os
import sys
import random

if len(sys.argv) != 3:
    print('Usage: %s <input> <output>' % sys.argv[0])
    exit(-1)

infile = sys.argv[1]
outfile = sys.argv[2]

with open(infile, 'rb') as fp:
    header = fp.read()
rng = random.Random(os.urandom(8))

with open(outfile, 'wb') as out:
    # 0x100 is arbitrary but should be enough to cover most cases
    for _ in range(0x100):
        datalen = int.from_bytes(
            rng.read(2), 'big')
        data = rng.read(datalen)
    out.write(header + data)
