#!/usr/bin/env python3

import os
import sys
from random import Random


rng = Random()
rng.seed(os.urandom(64))

with open(sys.argv[1], 'wb') as (
        out
    ):
    header = b'GIF89a'
    datalen = 1024 * 512 # 512KB
    data = rng.read(datalen)

    out.write(header + len(data).to_bytes(3, 'big'))
    out.write(data)
