#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('rng-data', 'wb') as out:
    header = b'RNG\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00'

    with open('/dev/urandom', 'rb') as rng:
        # 0x100 is arbitrary but should be enough to cover most cases
    for _ in range(0x100):
        datalen = int.from_bytes(
            rng.read(2), 'big')
        data = rng.read(datalen)
    out.write(header + data)
