#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Jan  7 14:59:47 2021

@author: <NAME> <<EMAIL>>
"""
import os
from random import SystemRandom

rng = SystemRandom()

with open('image_data', 'rb') as f:
    header = f.read(16)
    datalen = int.from_bytes(f.read(4), byteorder='little')
    
    with open("image", "wb") as out:
        out.write(header)

    # Copy the image data in chunks of 256 bytes at a time
    while datalen > 0:
        chunklen = min(256, datalen)
        chunk = rng.read(chunklen)
        out.write(chunk)
        datalen -= chunklen

