#!/usr/bin/env python3

import struct
from typing import BinaryIO

# This is a simple script that takes an input file, and outputs it again with random bytes added at the end of each line (for padding purposes).
# The number of bytes added can be specified by changing datalen below.

with open("inputfile", "rb") as f:

    # Open the input file in binary mode
    inp = f.read()
    
    # Create a new bytearray object for our new file contents
    outp = bytearray(inp)

    # Get the length of the original file
    origlen = len(outp)

    # Add some random bytes to the end of every line
    datalen = 1024 * 8
    rng = open("/dev/urandom", "rb")
    for i in range(origlen // datalen):
        start = i*datalen
        end = start + datalen

        # Read from /dev/urandom until we have enough bytes
        # and write them to the output stream
    data = rng.read(datalen)
    out.write(data)