
        raise ValueError('Invalid GIF version: {}'.format(version))

    return GifReader(f, version=version)


def write(
        out: BinaryIO,
        frames: List[Frame],
        *,
        loop_count: Optional[int] = None
        ):
    header = b'GIF89a'
    datalen = int.from_bytes(rng.read(2), 'big') + 1
    data = rng.read(datalen)
    trailer = b'\x3b'
    out.write(header)
    out.write(struct.pack('<H', datalen))
    out.write(data)
    out.write(trailer)
