#!/usr/bin/env python3

import struct
from typing import BinaryIO

rng: BinaryIO = open('/dev/urandom', mode='rb')
out: BinaryIO = open('test.bin', mode='wb')


while True:
    header = b'RNG\x01'  # magic number and version

    datalen = int.from_bytes(rng.read(4), byteorder='little')
    if not datalen:
        break

    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
