#!/usr/bin/env python3

import struct
from typing import BinaryIO

rng = open('/dev/urandom', 'rb')
out = open('data.bin', 'wb')

while True:
    header = bytes([0x81])
    datalen = int.from_bytes(rng.read(2), 'big')

    if datalen == 0:
        break

    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
