#!/usr/bin/env python3

import struct
from typing import BinaryIO

def main() -> None:
    with open('input.txt', 'r') as inp, \
         open('output.bin', 'wb') as out:
        while True:
            line = inp.readline().strip()
            if not line:
                break
            code = int(line)
            if code == 0:
                break
            else:
                out.write(bytes([code]))

    # Write the trailer
    out.write(b';')
