#!/usr/bin/env python3

import os
import sys
import struct
from typing import BinaryIO, Optional


def read_uint16(f: BinaryIO) -> int:
    return struct.unpack('>H', f.read(2))[0]


def write_uint16(f: BinaryIO, value: int):
    f.write(struct.pack('>H', value))


def read_uint8(f: BinaryIO) -> int:
    return struct.unpack('B', f.read(1))[0]


def write_uint8(f: BinaryIO, value: int):
    f.write(struct.pack('B', value))


class