#!/usr/bin/env python3

import sys
from random import Random

if __name__ == '__main__':
    rng = Random(sys.argv[1].encode())
    with open('out', 'wb') as out:
        header = b'GIF89a'
    datalen = 1024 * 512 # 512KB
    data = bytearray()

    for _ in range(datalen):
        data += bytes([rng.read(1)[0] % 256])
    out.write(header + len(data).to_bytes(3, 'big'))
    out.write(data)
