#!/usr/bin/env python3

import os
import sys
import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (os.urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = 1024 * 512 # 512KB
    data = bytearray()

#    print('Generating', datalen // len(header), 'frames')

    for _ in range(datalen // len(header)):
        data += header + rng.read(len(header))

    out.write(data)


if