#!/usr/bin/env python3
import sys
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
):
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)

    # write the GIF file to stdout
    out.write(header + len(data).to_bytes(3, 'big'))
    out.write(b'\x00\x21\xF9\x04\x00\x00\x00\x00\xFF\x00')  # screen descriptor
    out.write(data)


if