#!/usr/bin/env python3
import sys
from typing import BinaryIO

rng: BinaryIO = open('/dev/urandom', mode='rb')
out: BinaryIO = open('gifs.bin', mode='wb')
for _ in range(10):
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
