#!/usr/bin/env python3

import os
import sys
import struct
from typing import BinaryIO

def main():
    if len(sys.argv) < 2:
        print('Usage: {} file'.format(os.path.basename(__file__)))
        return

    with open(sys.argv[1], 'rb') as f:
        data = bytearray(f.read())
    
    # Header
    out = open('out.txt', 'w+')
    out.write('v2.0 raw\n')
    # Trailer
    out.write(b';')