#!/usr/bin/env python3

import os, sys
from collections import defaultdict


def main(args):
    data = [s.strip() for s in sys.stdin]

    # part 1:
    print(sum([int(x) // 3 - 2 for x in data]))

    # part 2:
    masses = list(map(int, data))
    total_fuel = 0
    while len(masses) > 0:
        mass = masses.pop()

        fuel = max((mass // 3) - 2, 0)
        if fuel == 0:
            continue

        total_fuel += fuel
        masses.append(fuel)

    print(total_fuel)



if