#!/usr/bin/env python3

import struct
from typing import BinaryIO, Optional

from . import base
from .. import charsets
from ..common.io import read_exactly
from ..common.types import (
    FileHeader,
    ImageData,
    ImageType,
    Palette,
    PixelFormat,
)
from ..exceptions import InvalidFileError

