#!/usr/bin/env python3

import struct
from typing import BinaryIO, Optional, Tuple

from .base import BaseParser
from ..common.constants import (
    DATA_TYPE_BYTE,
    DATA_TYPE_DOUBLE,
    DATA_TYPE_FLOAT,
    DATA_TYPE_INT16,
    DATA_TYPE_INT32,
    DATA_TYPE_INT8,
    DATA_TYPE_UINT16,
    DATA_TYPE_UINT32,
    DATA_TYPE_UINT8,
)
from ..common.exceptions import ParserError
from ..common.types import DataType, HeaderData, MessageData, SensorConfig

