
    # 5. Image descriptor
    image_descriptor = struct.pack('<6sHHBBBHB',
                                   b'!',
                                   0,
                                   0,
                                   width, height,
                                   8,  # bits per pixel
                                   0,  # no local colour table
                                   0,  # interlace flag (no)
                                   0,  # sort flag (not sorted)
                                   0   # reserved
                                  )
    # 7. Trailer
    trailer = b'\x3b'

    # Write everything to output
    out.write(header + lsd + color_table + gce + image_descriptor + b''.join(data) + trailer)


if __name__ == '__main__':
    try:
        seed = int(sys.argv[1])
    except IndexError:
        print("Usage: {} <seed>".format(os.path.basename(__file__)))
        exit()

    with open('/dev/urandom', 'rb') as f:
        f.seek(seed)
        with open('test.gif', 'wb') as o:
            generate_random_gif(f, o)