#!/usr/bin/env python3

import struct
import socket
import sys
import os.path
import time
from datetime import datetime
from decimal import Decimal, ROUND_HALF_UP, InvalidOperation

# Create a UDP socket
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

ipaddr = '192.168.0.1' #enter ip address of plug here
port = 48899
multicast_group = ('239.255.255.250', port)
message = b'\xaa\xaa\x08\x01\x00\x01\x0a\x08'

sock.bind(('', port))
mreq = struct.pack("=4sl", socket.inet_aton(multicast_group[0]), socket.INADDR_ANY)
sock.setsockopt(socket.IPPROTO_IP, socket.IP_ADD_MEMBERSHIP, mreq)

def str2hex(string):
    return ' '.join('{:02X}'.format(c) for c in string).upper()

def read_bit(reg, bitno):
    reg_value = pyepsolar.read_register(reg)
    
def epsolar_voltage():
	global sock
        global message
        
        sock.sendto(message, multicast_group)
        data, addr = sock.recvfrom(1024)
        print(data)
        try:
                volt = (int((data[-7:-4]) / 1000 * 1000))/1000
                amp = (int((data[-3:-4]) / 1000 * 1000))/1000
                                              
                if float(amp) > 0 and float(volt) > 0:
                        watts = float(amp) * float(volt)
                        print ("Volts:" + str(volt) )
                        print ("Amps:" + str(amp) )
                        print ("Watts:" + str(watts) )
                        return True
                else:
                        print "No data returned"
                        return False
        except Exception as e:
                print "Exception %s" % e
                return False
        finally:
            pass
