#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open("out", "wb") as out, \
     open("in", "rb") as inp, \
     open("tile_data", "rb") as td:
    rng = range(1024)
    header = struct.pack("<IHBBHH", 1024, 6, 0, 0, 0x80, 0x00)
    datalen = (1024 - len(header)) // 1
    data = rng.read(datalen)
    out.write(header + data)
