#!/usr/bin/env python3

import sys, os, random
random.seed(1234567890)
rng=random.Random()

if len(sys.argv) < 2:
    print("usage: {} [outfile]".format(os.path.basename(__file__)))
    exit(1)

with open(sys.argv[1], "wb") as out:
    out.write(b"hello world")
    header = b"\x00\x00\x00"
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
