#!/usr/bin/env python3

import struct
from typing import BinaryIO

rng: BinaryIO = open('/dev/urandom', 'rb')
out: BinaryIO = open('input.dat', 'wb')
while True:
    header = rng.read(4)
    if len(header)!= 4:
        break

    flag = bool(int.from_bytes(header, byteorder='big'))
    if not flag:
        datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
