#!/usr/bin/env python3
# Copyright (c) Facebook, Inc. and its affiliates. All rights reserved.

import logging
from typing import Dict, Optional

import reagent.types as rlt
import torch
from reagent.core.dataclasses import dataclass, field
from reagent.gym.policies.policy import Policy
from reagent.models.base import ModelBase


logger = logging.getLogger(__name__)


@dataclass(frozen=True)
class