#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Dec 19 20:48:53 2021

@author: zengke
"""


import pandas as pd
from urllib import request
import requests,json
import re
import os



def get_pages(start,end):
    urls=[]
    for i in range(int(start), int(end)):
        url=f'https://www.chinavaccinescheduler.com/?page={i}'
        urls.append(url)
    return urls
def parse_urls():
    start_urls='https://www.chinavaccinescheduler.com/'
    response = requests.get(start_urls)
    strhtml = response.text
    res = re.findall('https:\/\/www\.chinavaccinescheduler\.com\/\?page=(.*?)" aria',strhtml)
    print(res)
    # if len(res)<6:
    #     next_url=None
    # else:
    #     next_url={'https://www.chinavaccinescheduler.com/?page='+next_url}
    # return next_url
    return [int(i) for i in res]
        

def get_data(url):
    headers = {
        'user-agent': ('Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36'),

    }
    try:
        
        response = requests.get(url,headers=headers)
        strhtml = response.text
        totalRecord =re.search(r'totalRecord":"(.*?)"',strhtml).group(1)
        jsonData =re.search(r"'list':(.*?)}]",strhtml).group(1)
        data=pd.read_json(jsonData)
        data['total']=totalRecord
        with open('data.json','w') as f:
            res={}
            for indexs,rows in data.iterrows():
                res[indexs]=rows.to_dict()
                
            json.dump(res,f)
        print(len(data))
        return True
        
    except Exception as e:
        print(e)
        return False
    
    

    
    
if