#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def rnd_gif(out:BinaryIO, size=1024):
    out.write(b"GIF89a")

    bs = bytearray()
    
    # Block 1 (Screen Descriptor)
    for _ in range(size - 1):
        bs.append(struct.unpack("B", out.read(1))[0])
        
    # Block 2 (Netscape Looping Extension)
    bs += b'\x21\xf9\x04' + \
          b"\x08" + \
