#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Oct 10 19:49:25 2019

@author: salim
"""
import numpy as np
import os,sys
from scipy import sparse
import matplotlib.pyplot as plt
plt.close('all')
import igraph as ig
from scipy.sparse import csr_matrix
from scipy.linalg import norm
from sklearn.decomposition import PCA
from sklearn.cluster import KMeans
from itertools import combinations
import time
import seaborn as sns; sns.set()
import pickle

from SALib.sample import saltelli
from SALib.analyze import sobol
from SALib.util import read
from SALib.test_functions import Ishigami
from SALib.sample.morris import sample
import matplotlib.gridspec as gridspec
import matplotlib.patches as mpatches
from mpl_toolkits.axes_grid1.inset_locator import inset_axes

#######################################################
# Generate inputs for the model
#######################################################
ninit=10 # number of initial conditions
N = 9; deltaT = 0.01
x0 = np.linspace(0,1, N)
tspan = [0,deltaT * (N-1)]
x = np.zeros((N, ninit))