#!/usr/bin/env python3

import struct
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    # generate a random 64-byte header
    header = bytearray([0xFF]) * 64
    rng.readinto(header[1:])
    # write it to the output file
    out.write(bytes(header))

def main():
    with open('/dev/urandom', 'rb') as