#!/usr/bin/env python3

import sys, random
from struct import pack

infile  = sys.argv[1]
outfile = sys.argv[2]

with open(infile, 'rb') as inf, \
     open(outfile, 'wb') as out:

    rng = random.SystemRandom()

    header = inf.read(0x70)
    datalen = int.from_bytes(inf.read(4), byteorder='little', signed=False)
    data = rng.read(datalen)
    out.write(header + data)
