
#! /usr/bin/env python3
import random
import sys
from mmap import mmap, MAP_SHARED, PROT_READ

if len(sys.argv) != 2:
    print("Usage: {} <outfile>".format(sys.argv[0]))
    exit()

f = open("/dev/urandom", "rb")
rng = mmap(f.fileno(), 0, prot=PROT_READ|MAP_SHARED, flags=MAP_SHARED)

out = open(sys.argv[1], "wb+")
for i in range(50):
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(2), 'big', signed=False
        ) % 1024 + 1 # <= 1024 bytes of data
    data = rng.read(datalen)
    out.write(header + data)
