#!/usr/bin/env python3

import struct
from typing import BinaryIO

def print_file(f:BinaryIO):
    while True:
        smagic = f.read(2)
        if len(smagic) == 0:
            break
        
        magic, = struct.unpack('H', smagic)
        size = int.from_bytes(f.read(4), 'little')
        data_size = size - 8
            
        payload = f.read(data_size)
