#!/usr/bin/env python3

import sys, os
from random import SystemRandom


if len(sys.argv)!= 2:
    print('Usage:', sys.argv[0], '<output file>')
rng = SystemRandom()
with open(os.path.join(*sys.argv[1].split('/')), 'wb+') as out:
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(2), 'big')
    data = rng.read(datalen)
    out.write(header + data)
