#!/usr/bin/env python3

import struct
from random import Random


rng = Random()
rng.seed('I like pie.')
with open('data', 'wb') as out:
  for i in range(5):
    header_fmt = '<L' if i == 0 else '<?L'
    headerlen = sum(struct.calcsize(s) for s in [header_fmt])
    datalen = (
      int((i+2)**(1.79)) *
      16**int(rng.triangular(.5,.8, 1)) /
      16**(int(rng.triangular(.5,.8, 1))) 
    ) % 1024 + 1
    data = rng.read(datalen)
    out.write(header + data)
