#!/usr/bin/env python3

import struct
from typing import BinaryIO

from .blob_helper import read_varint, write_varint


def write_string(stream: BinaryIO, string):
    u_str = string.encode("utf-8")
    write_varint(stream, len(u_str))
    stream.write(u_str)


def read_string(stream: BinaryIO) -> str:
    data_length = read_varint(stream)