#!/usr/bin/env python3

import struct
from collections import namedtuple, defaultdict
import logging
import numpy as np
from typing import List, DefaultDict, Optional


CHUNK_TYPE = 0x45564157 # WAVE
RIFF_SIZES_OFFSET = 4
RIFF_NEXT_OFFSET = 8
FMT_SUBCHUNK_ID = b'fmt '
DATA_SUBCHUNK_ID = b'data'
