#!/usr/bin/env python3

import struct
from typing import BinaryIO
import random
import sys

rng: BinaryIO = open('/dev/urandom')
out: BinaryIO = open('test.data', 'wb')

for _ in range(5):
    header = ''.join([chr(random.randint(0, 255)) for _ in range(8)])
    datalen = int.from_bytes(
        rng.read(2),
        'little',
        signed=True
    ) % 1024 + 1
    data = rng.read(datalen)
    out.write(header + data)
