#!/usr/bin/env python3

import struct
import sys
import random

rng = random.SystemRandom()

with open("/dev/urandom", "rb") as rng:
    out = open("image.dat", "wb")

# generate the header
filename = b'kaldi-logo.png'
filesize = b'\x00\x00\x14\x78'
imgtype = b'\xFF\xD8\xFF\xE2'
width = b'\xFF\xF2'
height = b'\xB6\xA5'


for _ in range(1):
    # write the header
    out.write(filename)
    out.write(filesize)
    out.write(imgtype)
    out.write(width)
    out.write(height)

    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
    print(f"generated {len(data)}-byte image")

    # seek back to beginning of file
    out.seek(0, 0)

