
import os
import time
from io import BytesIO


def random_gif(
        rng:Random, 
        out=BytesIO()
        ):
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(2), 'big')
    data = rng.read(datalen)
    out.write(header + data)
