
import os
import time
import shutil
from typing import BinaryIO

# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a\x01\x00\x01\x00\xf0\x01\x00\x2c\x00\x00\x00\x00\x01,\x00'
    datalen = 3047 # 256 * 7 + (7 - 1) * 3 * 256
    data = rng.read(datalen)
    out.write(header + data)
