#!/usr/bin/env python3

import struct
from typing import BinaryIO, List


def main():
    with open("data.bin", "rb") as f:
        data = f.read()
        print(f"Loaded {len(data)} bytes of data")

        try:
            offset = read_offset(f)
            print(f"Offset at {offset} (0x{offset:X})")
        except Exception as e: