#!/usr/bin/env python3
'''
Created on 5 Feb 2017

@author: julianporter
'''
import struct
from typing import BinaryIO
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    lsd    = rng.read(7)
    flag   = rng.read(1)
    gct    = rng.read(64) if flag==b'\x01' else b''
    datalen = struct.unpack('<H', rng.read(2))[0]
    data = rng.read(datalen)
    out.write(header + data)
