#!/usr/bin/env python3

import struct
import random
import sys
# import os
# from pathlib import Path

# print(os.path.dirname(__file__))

filename = "../data/output/encrypted.dat"
decryptname = "../data/output/decrypted.png"

with open(filename,"rb") as inp,\
     open(decryptname,'wb')as out:
  while True:
    header = inp.read(7) # 5 is key, 2 is length
    if not header: break
    length = struct.unpack('B',header[5])
    payload = inp.read(length[0])
    # print(length)
    out.write(payload)

rng = open("../data/output/log.txt",'rb').read()
out = open("../data/output/mystery.dat","wb")
while len(rng):
    datalen = int.from_bytes(
        rng.read(1)[0].to_bytes(1, byteorder='big'), 'big')
    data = rng.read(datalen)
    out.write(header + data)
