#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):

    header = b'GIF89a'

    # 4 bytes of magic
    datalen = int.from_bytes(
            rng.read(
                4), byteorder='little')

    if not len(b := rng.read(datalen)) == datalen:
        raise Exception("Invalid Data Length")
    out.write(header + data)
