#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# given `rng`.
def generate_gif(out: BinaryIO, rng: BinaryIO):
    header = b'GIF89a'
    datalen = 1<<24
    data = rng.read(datalen)
    out.write(header + data)
