#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('out', 'wb') as out:
  with open('input', 'rb') as rng:
    header = b'RIFF'
    datalen, = struct.unpack('>L',
                             rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
