#!/usr/bin/env python3

import struct
from random import SystemRandom


rng = SystemRandom()  # use /dev/urandom on Unix systems instead (much faster!)

out_fname ='message.enc'
in_fname = 'flag.txt'

with open(out_fname, 'wb') as out:

    header = b''
    header += bytes([0x47])     # G
    header += bytes([0xd1])     # d
    header += bytes([0xe9])     # r
    header += bytes([0x86])     # a
    header += bytes([0xc5])     # y
    datalen = int(open('secret.txt').readline())
    print('Data length:', datalen)
    data = rng.read(datalen)
    out.write(header + data)
