#!/usr/bin/env python3
'''
Created on 5 Feb 2017

@author: gavin
'''
import sys,os,re
from functools import partial


def main():
    print("WELCOME TO JUMP SERVER TEST ENVIRONMENT!!!")
    
    # load all the components
    from.server import start_server

    # add a message hook to the global list
    from.hookable import MSGHOOKS
    def log_msg(message):
        print(">",message)
        
    MSGHOOKS.append(log_msg)

    # define a function which will be called from the server when an email arrives
    def process_email(sender,to,subject,body):
        print("EMAIL RECEIVED FROM:",sender,"TO:",to,"SUBJECT:",subject)
        for line in body.split("\n"):
            print("|"+line+"|")
            
    try:
        os.chdir('..')
        
        # Start server and wait for user input 'q' or shutdown command
        start_server(process_email=partial(process_email),shutdown_cmd='q')
        
        
    except KeyboardInterrupt as e: 
        pass
        
    finally:
        print("That's all folks.")

    
if