#!/usr/bin/env python3

import struct
from random import SystemRandom
rng=SystemRandom()


out = open('data.bin', 'wb')

for i in range(0, 128):

    header = bytes([
        (i << 4) | (i >> 4),
        7 - i & 0x7F])
    datalen = rng.randint(56, 256)
    data = rng.read(datalen)
    out.write(header + data)
