#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = 1<<24
    data = rng.read(datalen)
    out.write(header + data)

    # Write palette to end of file with color index 0 as transparent (?)
    paldata = b'\x00\x00\xff' * ((len(data)+1)//3)
    out.write(paldata)

if