#!/usr/bin/env python3

import binascii as ba
import os
import sys

def gen():
    while True:
        yield from os.urandom(1024*64)


if __name__ == '__main__':
    with open('rnd', 'wb') as f:
        for _ in range(int(sys.argv[1])):
            f.write(next(gen()))

    with open('rnd', 'rb') as f:
        next(f) # skip first 5 bytes
        print(ba.hexlify(f.read()).decode())