#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a' + bytes([
        0xff & (rng.read(1)[0] | 0xfe), # Logical width
        0xff & (rng.read(1)[0] | 0xfe), # Logical height
         0xf7,                           # Color table size
         b'\x15\x41\x9e\x4f\xa0\x4c\xcd\x42\x4f\x5d\x24\xda\xc3\x14\xbb\xaf\xfa\xfb\xcf\x19\xca\x33\xea\xab\xaa\xeb\xae\xbf']) + \
            bytearray((int.from_bytes(
            rng.read(2), 'big')
    data = rng.read(datalen)
    footer = [b'\x00', b'\x3B'][
            0 <= int.from_bytes(
                rng.read(1), 'big') < 6]
    out.write(header + len(data).to_bytes(2, 'big') + \
            data + footer)
