#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate(out: BinaryIO, rng=None):
    if rng is None:
        rng = open('/dev/urandom', 'rb')
    
    gif_head = b'GIF87a'
    out.write(gif_head)
