#!/usr/bin/env python3

import struct, sys

def str2bytes(in_str):
    return in_str.encode()

def bytes2u32(in_bytes):
    return struct.unpack(">I", in_bytes)[0] 

def u322bytes(value):
    packed = struct.pack('>I', value) 
    return int.from_bytes(packed, byteorder='big') 

def xor(a, b):
    a_i = u322bytes(a)
    b_i = u322bytes(b)

    result = (a_i ^ b_i).to_bytes((len(hex(a))[2:]) // 2, 'big')
    if len(result) == 4:
        print("XOR %s %s => %s" %(hex(a), hex(b), hex(int.from_bytes(result,"big"))))
    else:
        print("XOR %s %s => %s" %(hex(a), hex(b), "error"))

