#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open("bootloader.bin", "rb") as boot:
    boot_data = boot.read()

    # Add magic word to end of boot data (0x5A4D)
    boot_size = len(boot_data) + 2
    print(f"Boot image size is {boot_size} bytes.")

