#!/usr/bin/env python3

import struct


def main():
    # Step 1: Create an unencrypted ciphertext, using a static IV or keystream.
    original_ciphertext = b"This is the flag! FLAG{test}\x0f\xba\xad"

    with open("flag.enc", "wb") as outp:
        print(len(original_ciphertext))
        outp.write(struct.pack("<Q", len(original_ciphertext)))

        for i in range(len(original_ciphertext)):
            outp.write((i ^ (7 + ((i * 259) & 0xff))).to_bytes(
                1, byteorder="little"))

        outp.write(original_ciphertext)

    return True


if