
from typing import BinaryIO

# Generates a random GIF file into `out` using the characters in `chars`, then returns its byte count.
def compress(chars: str, out: BinaryIO) -> int:
    import random
    
    # Defines a GIF's minimum important part.
    HEAD = b"GIF89a\x01\x00\x01\x00\xFF\x00,\x00\x00\x00\x00\x2C\x00\x00\x00\x00\x01\x00\x01\x00\x00\x02\x02D\x01\x03\x01;"
    
    # Write the header.
    out.write(HEAD)
    
    # Write all the frames.
    count = len