#!/usr/bin/env python3

import struct
from typing import BinaryIO


def write_bytes(file: BinaryIO, bytes_: bytes) -> None:
    size = len(bytes_)
    file.write(struct.pack('<L', size))
    file.write(bytes_)