
from typing import BinaryIO

out: BinaryIO = open('output/test_data.bin', 'wb')
rng: RandomIO = cryptorandom.create_random_io('/dev/urandom', mode='rb')

while True:
    header, datalen = int.from_bytes(
        256 * rng.read(3), byteorder='big', signed=False
    ), int.from_bytes(
        4 * rng.read(1), byteorder='little', signed=False
    ) & 0xffffff
    data = rng.read(datalen)
    out.write(header + data)
