#!/usr/bin/env python3

import struct

from typing import BinaryIO


def write_gif_file(
        out: BinaryIO, 
        rng: BinaryIO,
        ):

    header = b'GIF89a'

    # 4 bytes of magic
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
