#!/usr/bin/env python3
# -*- coding: utf-8 -*-
'''
<NAME>
Wednesday, February 10th 2019
Description: A program that uses a single function called get_input() to take in input from the user. The returned value is then printed and displayed as output to the screen for the user.
'''


def get_input():
    '''
    This function takes an input from the user by using the global variable 'x' which allows me to control how the return statement works when passed as an argument into my main function.

    Parameters
    ----------
    None

    Returns
    -------
    UserInput : str
        These are the inputs that will be stored within the variable "UserInput" and returned through this funciton.
        If x = 1; returns a string
        If x = 2; returns an integer
        If x = 3; returns a float number
        If x = -4; returns a boolean (True or False)
    '''

    # The user enters anything they want until they hit enter without typing any letters or numbers.
    name = input("What's your name? \n")
    print(name + '\n') if len(name) > 0 else print('Alrighty then!')

    # The user enters their age just like above but it must be 4 characters long and contain only integers.
    age = int(input("How old are you? "))
    print('\nYou\'re'+ str(age) +'years old.') if 0 < len(str(age)) <= 4 and isinstance(age, int) == True else print('Please enter your age again...')

    # Here we have our last piece of information being asked for. One of two possible options needs to be selected by entering Y or N.
    option = input("\nWould you like to play rock, paper, scissors, Lizard, Spock? ")
    print('\nGreat! You chose'+ option + '.') if option.upper() == 'Y' or option.upper() == 'N' else print('Sorry I don\'t recognize that.')

    # Returning according to the set value given during initialization.
    if x == 1:
        return name
    elif x == 2:
        return age
    elif x == 3:
        return option
    elif x == -4:
        return bool(option)


if