#!/usr/bin/env python3

from io import BytesIO as StringIO
from PIL import Image


def generate_random_gif(rng):
    imgs = []

    for i in range(10):

        im = [
                (rng.getrandbits(7) * 256 // 127,
                 rng.getrandbits(7) * 256 // 127,
                 rng.getrandbits(7) * 256 // 127)
             ]*100

        imgs.append((15,
                     Image.new('P', (i+1, i+1))))

    return imgs

