#!/usr/bin/env python3

import sys
from pathlib import Path
from typing import BinaryIO
import numpy as np
import h5py
import rasterio
import json
import pandas as pd
import os
import glob
from datetime import date, timedelta
import subprocess
import re
import shutil
import tqdm
import threading
from multiprocessing.pool import ThreadPool

# Global variables
BATCH_SIZE = 10000  # Number of pixels per batch (i.e., how many times to invoke the command line tool)
MAX_THREADS = 48  # Maximum number of concurrent threads allowed for processing data

# Update global variable BATCH_SIZE if command line argument is present