#!/usr/bin/env python3

import struct
from typing import BinaryIO
from random import Random


infilename = './testfile'
outfilename = './test_output.wav' 


with open(infilename,"rb") as infile:
    with open(outfilename,"wb+") as outfile:

        header = infile.read(4)
        datalen = infile.read(3)
        

        test_byte = int.from_bytes(infile.read(1),"big")



#print("Header:", header) 
#print("Data length", datalen)
#print("Test Byte:", test_byte) 




        while len(header)!= 0 :
            print(struct.unpack('<L', header))
            header = infile.read(4)


        audio = infile.read()
  
        #print(audio[:8])    
    
        # Convert to int array and reverse 

        
        if len(audio)%2!=0: 
            audio += b'\x00'
        
        newAudio = [] 
        for i in range(len(audio)//2):
            newAudio.append((audio[i*2+1] << 8)+ audio[i*2])
        newAudio.reverse()
    

        # Do something interesting 
    
        #newAudio = [ x^y for x, y in zip(newAudio, newAudio)] 

        # Reverse back to original order  

        newAudio.reverse()

        # Pack into output file

        for i in range(len(newAudio)):

            outfile.write(((newAudio[i]).to_bytes(
                2, "little"))) 



    
    





    

'''
# Open our input wav file /dev/urandom or whatever

with open('./testfile','rb') as f:
    rng = f.read()


# Open our output wav file

with open('./testfile.wav','wb+') as out:

    # Read the first four bytes -- this is the RIFF header

    header = f.read(4)

    # read three more bytes -- these are the size of the chunk in bytes
    datalen = int.from_bytes(f.read(3),'big')

    # print some info about the file 
    print('header',header,'datalen',datalen)
    
    # Write pre-frame bytes  

    out.write(header + (datalen).to_bytes(
            3, 'big')) 

    # write frame data

    for i in range(datalen):
        out.write(
                ((int.from_bytes(
                    rng.read(1), byteorder="big") %
                 256)).to_bytes(1, "big"))
