#!/usr/bin/env python3

import struct

with open('005-fileheader.o', 'rb') as f:
    # data = bytearray(f.read())
    data = f.read()
data_len = len(data)
print(data_len, data[:16])

magic = 0xc0c0c0c0894d5a78
(magic,) = struct.unpack('<Q', data[0:8])
if magic!= 0x785a4d89c0c0c0c0:
   print("bad magic", hex(magic))
    
# TODO: more detailed checking (md5sum?)