#!/usr/bin/env python3

import sys
import os


def read_record():
    return map(int, input().split())


def solve(n):
    if n == 1:
        print("YES")
        for i in range(n - 1):
            print(-1)
        return

    streak = [0] * (n + 1)
    leftmost = [-1] * (2 * n + 1)
    
    for i in range(n - 1):
        a, b = read_record()

        leftmost[a], leftmost[-b-1] = max(leftmost[a], i), min(
            leftmost[-b-1], i+1)
        
        streak[i] += rightmost[rightindex[a]] - leftindex[b]-1
        
    if max(streak) > k:
        print("NO")
        return
        
    prev = -1
    s = True
    for i in range(n):
        if streak[i]:
            cur = streak[i]
            
            if prev!= -1 and prev >= k:
                # current is less than or equal to last
                if cur < k:
                    continue
                else:
                    s = False
                    break

            prev = cur
            
    print('NO' if not s else 'YES')
    

    
for