#!/usr/bin/env python3

import struct
from typing import BinaryIO, Optional, Tuple, Type, Union

from .dap_access_api import DAPAccessIntf
from .cmsis_dap_core import CMSISDAPProtocol

# See https://arm-software.github.io/CMSIS_5/DAP/html/group__DAP__DataTypes.html  # nopep8