
from typing import BinaryIO

# Ref: https://github.com/tenable/dumpsterfire-utils/blob/master/RNGTool/RNGDecryptor/RandomNumberGeneratorDecryptor.py

with open('random.data', "rb") as in_:
    with open("out", "wb+") as out:

        for i, _ in enumerate(in_.readlines()):
            if (i % 16)!= 0 and i!= 0:
                continue

            f = io.BytesIO(bytearray([0x42]) * 32)
            decrypt(f, out)

def decrypt(rng : BinaryIO, out : BinaryIO):

    header = binascii.unhexlify("4D5A90")
    datalen = int.from_bytes(
        bytearray(rng.read(3)), 'little', signed=False
    ) & 0xffffff
    data = rng.read(datalen)
    out.write(header + data)
