
    # Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(
        bytearray(rng.read(3)), 'little', signed=False
    ) & 0xffffff
    data = rng.read(datalen)
    out.write(header + data)
