
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO):
    # Magic bytes, version, logical screen size (1024 x 768), initial background color index
    out.write(b"GIF89a\x01\x00\x01\x00\x80\xff\xff\xff!\xf9\x04\x01\x00\x00\x00\x00,\x00\x00\x00\x00\x01\x00\x01\x00\x00\x02\x02D\x01\x00;")

    for _ in range(59):
        out.write(struct.pack("B", rng.read(1)[0] % 3))
    
    out.write(b"\x00\x3b")
