#!/usr/bin/env python3

import sys
import random

rng = random.SystemRandom()
out = open('testdata', 'wb')
for i in range(10):
    header = b'%02x' % (i & 0xff).to_bytes(1, byteorder='big')
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
