#!/usr/bin/env python3

import struct
from typing import BinaryIO, Optional, Tuple

from . import base
from .. import charsets
from ..common.exceptions import InvalidFileException
from ..common.helpers import read_and_check_bytes
from ..common.types import (
    BytesOrString,
    FileFormat,
    FileType,
    ImageData,
    Palette,
)

