#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('data/test_file', 'wb') as out:
  with open('data/test_file.raw', 'rb') as rng:
    header = b'MTHD' + struct.pack('>I', 4, *map(ord, rng.read(2)))
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
