#!/usr/bin/env python3

import struct
from typing import List, Tuple


def read_uint16(f) -> int:
    return struct.unpack('H', f.read(2))[0]


def write_uint16(f, value):
    f.write(struct.pack('H', value))


def read_int8(f) -> int:
    return struct.unpack('b', f.read(1))[0]


def write_int8(f, value):
    f.write(struct.pack('b', value))


class