#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('test.gif', 'wb') as out:
    rng = open('/dev/urandom', 'rb')

    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
