#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('out.bin', 'wb') as out:
  with open('in.bin', 'rb') as rng:
    header = b'BIN\x01'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)
