#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('test_image.raw', 'wb') as out:
    rng = open('/dev/urandom', 'rb')
    # Write the first frame
    out.write(b'\x2C')
    out.write(struct.pack('<HHHHB',
        0x200, 0x200, 0x00, 0x00, 0x00))

    # Write the image data
    for i in range(0x4000):
        out.write(bytes([rng.read(1)[0]]))

