#!/usr/bin/env python3

import struct
from typing import BinaryIO


def main():
    with open('data/input24.txt', 'r') as f:
        lines = [line.strip() for line in f]

    header = struct.pack(">I", len(lines))
    data = b''.join([struct.pack(">I", int(line, 16)) for line in lines])

    with open('data/output24.dat', 'wb') as out:
        out.write(header + data)
