#!/usr/bin/env python3

import struct
import sys

rng = open('../data/random.dat', 'rb')
out = open('../data/random.h', 'wb')

for i in range(1024):
    header = '#define RANDOM_{} '.format(i).encode()
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)

    out.write(header + data)
