#!/usr/bin/env python3

import struct
from typing import BinaryIO

def main():
  with open('data/gfx/title_screen.png', 'rb') as inp, \
       open('data/gfx/title_screen.bin', 'wb') as out:
    header = b'PNG\r\n\x1a\n'
    datalen = int.from_bytes(inp.read(4), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)

