#!/usr/bin/env python3

import struct
import sys

with open('rng', 'rb') as rng, \
     open('out', 'wb') as out:
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + data)

