#!/usr/bin/env python3

import sys
from random import Random

rng = Random()
rng.seed(0x42)

with open(sys.argv[1], 'rb') as in_, \
     open(sys.argv[2], 'wb') as out:

    header = in_.read(8)
    datalen, = struct.unpack('<Q', header)
    data = rng.read(datalen)
    out.write(header + data)

