#!/usr/bin/env python3
import sys, random, struct

rng = random.SystemRandom()
out = open(sys.argv[2], 'wb')
for i in range(int(sys.argv[1])):
  if (i % 5 == 0
      and rng.random() < 0.4
      ):
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = bytes([rng.read(1)[0] for _ in range(datalen)])

    out.write(header + struct.pack('>H', len(data)))
    out.write(data)

