#!/usr/bin/env python3
import sys


with open(sys.argv[1], "rb") as f:
    header = b''.join([
        bytes([0x89]),  # magic number
        bytes([0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a])  # PNG signature
    ])

    data = f.read()
    datalen = len(data)

    with open("out.png", "wb") as out:
        out.write(header + datalen.to_bytes(3, 'big') + data)
