#!/usr/bin/env python3

import sys
import os
import random

with open('gifs', 'rb') as f:
    gifs = [f.read() for _ in range(10)]

rng = random.Random(os.urandom(4))
for i in range(int(sys.argv[1])):
    out = open('%d.gif' % (i,), 'wb')
    gif = rng.choice(gifs)
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
