#!/usr/bin/env python3

import struct
from typing import BinaryIO

# Generates a random GIF file into `out` using the
# random number generator `rng` (/dev/urandom)
def generate_random_gif(
        rng: BinaryIO, out: BinaryIO
    ):
    header = b'GIF89a'
    datalen = int.from_bytes(b'\x01\x02\x03', byteorder='big')
    #datalen = struct.unpack('>I', b'\x01\x02\x03')[0]
    print("data len:", datalen)
    #print("data len:", struct.pack('>I', 4))
    #datalen = struct.unpack('>I', 
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
