#!/usr/bin/env python3

import struct
from typing import BinaryIO

with open('test.gif', 'wb') as out:
  with open('test.png', 'rb') as rng:
    header = b'GIF89a'
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
