#!/usr/bin/env python3
import sys
import os
import random

# Open a file for writing (truncating it if it already exists)
out = open('test.jpg', 'wb')

# Create an instance of the Mersenne Twister PRNG with a seed of 0
rng = random.Random(0)

# Write the JPEG magic number to the output stream
out.write(b'\xff\xd8')

while True:
    # Generate some random bytes for the length of the image data
    # and write them to the output stream
    datalen = int.from_bytes(
            rng.read(3), byteorder='big', signed=False)
    out.write(datalen.to_bytes(3, 'big'))

    # Generate some random bytes for the image data itself
    # and write them to the output stream
    data = rng.read(datalen)
    out.write(data)