#!/usr/bin/env python3
import sys, struct


if __name__ == '__main__':
    with open(sys.argv[1], 'rb') as in_file:
        with open(sys.argv[2], 'wb') as out_file:
            rng = in_file.read()

            out = bytearray()
            for i in range(len(rng)):
                out += bytes([rng[i] ^ (i & 0xff)])

            index = rng.read(1)[0] % 256
            out.write(struct.pack('B', index))