#!/usr/bin/env python3
import sys
with open(sys.argv[1], "rb") as in_, open(sys.argv[2], "wb") as out:
    header = b'\x00\x80' if len(sys.argv) == 4 and sys.argv[3] == '-c' else b''
    rng = in_.read()
    datalen = int.from_bytes(
            rng.read(3), byteorder='big')
    data = rng.read(datalen)
    out.write(header + datalen.to_bytes(3, 'big') + data)
