#!/usr/bin/env python3

import sys
from os import urandom as rng

if __name__ == '__main__':

    if len(sys.argv)!= 2:
        print("Usage: %s <output file>" % (sys.argv[0]))
        exit(-1)

    datalen = int(sys.argv[1])

    with open('image_data', 'wb') as f:
        generate_random_bytes(f, datalen)

    # Generate some random bytes for the image data itself
    # and write them to the output stream
    data = rng.read(datalen)
    out.write(data)