
    width = rng.read(1)[0] % 32 + 1
    height = rng.read(1)[0] % 32 + 1

    # Header
    out.write(struct.pack('<IIHH', width * height, width, height, 8))

    # Palette
    for i in range(256):
        r = rng.read(1)[0] % 256
        g = rng.read(1)[0] % 256
        b = rng.read(1)[0] % 256
        packed = struct.pack('BBB', r, g, b)
        out.write(packed)

    # Image data
    for y in range(height):
        for x in range(width):
            index = rng.read(1)[0] % 256
            out.write(struct.pack('B', index))