#!/usr/bin/env python3

import os, sys
from pathlib import Path


def main():
    if len(sys.argv)!= 2:
        print("Usage: {} <path>".format(os.path.basename(__file__)))
        return

    path = Path(sys.argv[1])

    for file in path.glob('**/*'):

        if not file.is_dir() and (file.suffix == '.py' or file.name == 'Makefile'):
            with open(str(file), "r") as f:
                content = f.read()

            content = content.replace('\t','   ')
            content = content.replace('    \n', '\n')
            content = content.replace('\n\n\n', '\n\n')

            with open(str(file), "w") as f:
                f.write(content)



if