#!/usr/bin/env python3

import os
import sys
from pathlib import Path


def main():
    if len(sys.argv) < 2:
        print("Usage:")
        print("\t{} [path]".format(os.path.basename(__file__)))
        return

    path = Path(sys.argv[1])
    for file in sorted(path.glob('**/*.py')):
        if not str(file).startswith('./venv'):
            continue

        with open(str(file), 'r') as f:
            lines = f.readlines()

        with open(str(file), 'w') as f:
            for line in lines:
                if "import" in line and "venv" in line:
                    continue

                f.write(line)


if